0

I run into trouble with Ubuntu 18.04 while trying to install a hp printer/scanner driver hplip. Now I cannot install any package, not even python3

$ sudo apt install  python3
[sudo] password for muhd: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
python3 is already the newest version (3.6.7-1~18.04).
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
11 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up python3-pil:amd64 (5.1.0-1ubuntu0.5) ...
/var/lib/dpkg/info/python3-pil:amd64.postinst: 6: /var/lib/dpkg/info/python3-pil:amd64.postinst: py3compile: not found
dpkg: error processing package python3-pil:amd64 (--configure):
 installed python3-pil:amd64 package post-installation script subprocess returned error exit status 127
Setting up python3-olefile (0.45.1-1) ...
/var/lib/dpkg/info/python3-olefile.postinst: 6: /var/lib/dpkg/info/python3-olefile.postinst: py3compile: not found
dpkg: error processing package python3-olefile (--configure):
 installed python3-olefile package post-installation script subprocess returned error exit status 127
dpkg: dependency problems prevent configuration of python3-reportlab:
 python3-reportlab depends on python3-pil; however:
  Package python3-pil:amd64 is not configured yet.

dpkg: error processing package python3-reportlab (--configure):
 dependency problems - leaving unconfigured
Setting up python3-notify2 (0.3-3) ...
/var/lib/dpkg/info/python3-notify2.postinst: 6: /var/lib/dpkg/info/python3-notify2.postinst: py3compile: not found
dpkg: error processing package python3-notify2 (--configure):
 installed python3-notify2 package post-installation script subprocess returned error exit status 127
Setting up python3-sip (4.19.7+dfsg-1ubuntu0.1) ...
/var/lib/dpkg/info/python3-sip.postinst: 6: /var/lib/dpkg/info/python3-sip.postinst: py3compile: not found
dpkg: error processing package python3-sip (--configure):
 installed python3-sip package post-installation script subprocess returned error exit status 127
Setting up python3-ptyprocess (0.5.2-1) ...
/var/lib/dpkg/info/python3-ptyprocess.postinst: 6: /var/lib/dpkg/info/python3-ptyprocess.postinst: py3compile: not found
dpkg: error processing package python3-ptyprocess (--configure):
 installed python3-ptyprocess package post-installation script subprocess returned error exit status 127
dpkg: dependency problems prevent configuration of hplip:
 hplip depends on python3-pil; however:
  Package python3-pil:amd64 is not configured yet.
 hplip depends on python3-reportlab; however:
  Package python3-reportlab is not configured yet.

dpkg: error processing package hplip (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of printer-driver-postscript-hp:
 printer-driver-postscript-hp depends on hplip (>= 3.17.10+repack0-5); however:
  Package hplip is not configured yet.

dpkg: error processing package printer-driver-postscript-hp (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of python3-pyqt5:
 python3-pyqt5 depends on sip-py3api-12.3; however:
  Package sip-py3api-12.3 is not installed.
  Package python3-sip which provides sip-py3api-12.3 is not configured yet.

dpkg: error processing package python3-pyqt5 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of python3-pexpect:
 python3-pexpect depends on python3-ptyprocess; however:
  Package python3-ptyprocess is not configured yet.

dpkg: error processing package python3-pexpect (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of hplip-gui:
 hplip-gui depends on hplip (>= 3.17.10+repack0-5); however:
  Package hplip is not configured yet.
 hplip-gui depends on python3-pyqt5; however:
  Package python3-pyqt5 is not configured yet.

dpkg: error processing package hplip-gui (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 python3-pil:amd64
 python3-olefile
 python3-reportlab
 python3-notify2
 python3-sip
 python3-ptyprocess
 hplip
 printer-driver-postscript-hp
 python3-pyqt5
 python3-pexpect
 hplip-gui
E: Sub-process /usr/bin/dpkg returned an error code (1)

How do I fix this issue please? Really frustrating.

EDIT:

Package reconfigure issues the same error same as above, i.e by executing

$ sudo dpkg --configure -a
2

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.